/*!
 * Copyright (c) 2015-2017 Cisco Systems, Inc. See LICENSE file.
 */

import '@ciscospark/internal-plugin-avatar';

// import {assert} from '@ciscospark/test-helper-chai';
// import sinon from '@ciscospark/test-helper-sinon';
import fh from '@ciscospark/test-helper-file';
import CiscoSpark from '@ciscospark/spark-core';
import testUsers from '@ciscospark/test-helper-test-users';

describe('plugin-avatar', () => {
  let mccoy, spark, spock;

  before('create users', () => testUsers.create({count: 2})
    .then((users) => {
      [spock, mccoy] = users;

      spark = new CiscoSpark({
        credentials: {
          authorization: spock.token
        }
      });

      mccoy.spark = new CiscoSpark({
        credentials: {
          authorization: mccoy.token
        }
      });
    }));

  before('register with wdm', () => Promise.all([
    spark.internal.device.register(),
    mccoy.spark.internal.device.register()
  ]));

  let sampleImageSmallOnePng = 'sample-image-small-one.png';

  before(() => fh.fetch(sampleImageSmallOnePng)
    .then((file) => {
      sampleImageSmallOnePng = file;
    }));

  // describe('#setAvatar()', () => {
  //   it('sets a user\'s avatar', () => spark.internal.avatar.setAvatar(sampleImageSmallOnePng)
  //     .then((avatarUrl) => {
  //       // Note: not downloading the avatar because rackspace CDN is too flaky
  //       assert.isDefined(avatarUrl);
  //       assert.match(avatarUrl, /^https?:\/\//);
  //     }));
  //
  //   it('invalidates current user`s cached avatar after uploading a new one', () => {
  //     spark.internal.avatar.store.remove = sinon.spy();
  //     return spark.internal.avatar.setAvatar(sampleImageSmallOnePng)
  //       .then(() => assert.calledWith(spark.internal.avatar.store.remove, {uuid: spark.internal.device.userId}));
  //   });
  // });
  //
  //
  // describe('#retrieveAvatarUrl()', () => {
  //   before(() => Promise.all([
  //     spark.internal.avatar.setAvatar(sampleImageSmallOnePng),
  //     mccoy.spark.internal.avatar.setAvatar(sampleImageSmallOnePng)
  //   ]));
  //
  //   it('retrieves an avatar url by email address', () => spark.internal.avatar.retrieveAvatarUrl(spock.email)
  //     .then((avatarUrl) => {
  //       // Note: not downloading the avatar because rackspace CDN is too flaky
  //       assert.isDefined(avatarUrl);
  //       assert.match(avatarUrl, /^https?:\/\//);
  //     }));
  //
  //   it('retrieves an avatar url by uuid', () => spark.internal.avatar.retrieveAvatarUrl(mccoy.spark.internal.device.userId)
  //     .then((avatarUrl) => {
  //       // Note: not downloading the avatar because rackspace CDN is too flaky
  //       assert.isDefined(avatarUrl);
  //       assert.match(avatarUrl, /^https?:\/\//);
  //     }));
  // });
});
